<wo:form>
  <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup" item = "$currentItem" useFixedHeader = "false" updateContainerID = "$buttonsContainerId" triMultiColonneEnabled = "true">
    <wo:CktlAjaxSimpleTableViewHeader>
      <wo:if condition = "$estPasOngletTous" negate="true">
      	<wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheService.TableViews.StructureDemande" />
      </wo:if>
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.OffreFormation.TableViews.ColonneComposante" />
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneAP" sortKeypath="affichageEnseignement"  />
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneType" sortKeypath = "composantAP.typeAP.code"/>
      <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHETD" />
    </wo:CktlAjaxSimpleTableViewHeader>
    <wo:CktlAjaxSimpleTableViewBody>
    <wo:if condition = "$afficherLigneRepartition">
     	<wo:if condition = "$estPasOngletTous" negate="true">
          <td align = "left"><wo:string value = "$currentItem.toRepartService.toStructure.llStructure" /></td>
        </wo:if>
    	<wo:if condition = "$hasCommentaire">
	      <td class = cktlToolTip style = "cursor: pointer" align = "left"> <wo:string value = "$composanteParentAP" /><span><br><b>Commentaire:</b><br><wo:string value = "$currentItemCommentaire"  escapeHTML=false/><br></span> </td>
	      <td class = cktlToolTip style = "cursor: pointer" align = "left"> <wo:string value = "$currentItem.affichageEnseignement" /><span><br><b>Commentaire:</b><br><wo:string value = "$currentItemCommentaire"  escapeHTML=false/><br></span> </td>
	      <td class = cktlToolTip style = "cursor: pointer" align = "left"> <wo:string value = "$currentItem.composantAP.typeAP.code" /><span><br><b>Commentaire:</b><br><wo:string value = "$currentItemCommentaire"  escapeHTML=false/><br></span> </td>
       </wo:if>
      	<wo:else>
		    <td align = "left"> <wo:string value = "$composanteParentAP" /> </td>
		    <td align = "left"> <wo:string value = "$currentItem.affichageEnseignement" /> </td>
		    <td align = "left"> <wo:string value = "$currentItem.composantAP.typeAP.code" /> </td>
      	</wo:else>
      	<td class = "cktl-right-align"> <wo:CktlNumber value = "$currentItem.heuresPrevues" /> </td>
    </wo:if>
    </wo:CktlAjaxSimpleTableViewBody>
    <wo:CktlAjaxSimpleTableViewFooter>
      <wo:if condition = "$estPasOngletTous" negate="true">
        <td colspan = "4" style = "background-color : #FFFCF8;"> </td>
      </wo:if>
      <wo:else>
        <td colspan = "3" style = "background-color : #FFFCF8;"> </td>
      </wo:else>  
      <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPrevues" /></td>
    </wo:CktlAjaxSimpleTableViewFooter>
  </wo:CktlAjaxSimpleTableView>
  <wo:AjaxUpdateContainer id = "$buttonsContainerId">
    <wo:CktlSubmitButton type = "add" action = "$ajouterAction" text = "$session.localizer.application.boutonAjouter" disabled = "$boutonsActifsRepartitionService" />
    <wo:CktlSubmitButton type = "edit" action = "$modifierAction" text = "$session.localizer.application.boutonModifier" disabled = "$boutonModifierActifRepartitionService" />
    <wo:CktlAjaxButton type = "delete" action = "$deleteAction" text = "$session.localizer.application.boutonSupprimer" disabled = "$boutonSupprimerActifRepartitionService" updateContainerID = "$tableViewId" onClickBefore = "$onClickBefore" />
  </wo:AjaxUpdateContainer>
</wo:form>